%define tl_version 2012
%{!?_texdir: %global _texdir %{_datadir}/texlive}
%{!?_texmf_var: %global _texmf_var %{_var}/lib/texmf}

# don't figure any perl requires
%global __perl_requires %{nil}
%global __find_provides %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}
%global __arch_install_post %{nil}

Name:		texlive-moreverb
Version:	svn22126.2.3a
Release:	1%{?dist}
Summary:	Extended verbatim

Group:		Applications/Publishing
License:	LPPL
URL:		http://tug.org/texlive/
Source0:	ftp://ftp.ctex.org/mirrors/CTAN/systems/texlive/tlnet/archive/moreverb.tar.xz
Source1:	ftp://ftp.ctex.org/mirrors/CTAN/systems/texlive/tlnet/archive/moreverb.doc.tar.xz
Source2:	ftp://ftp.ctex.org/mirrors/CTAN/systems/texlive/tlnet/archive/moreverb.source.tar.xz
BuildArch:	noarch
AutoReqProv:	No
Requires:	texlive-base
Requires:	texlive-kpathsea-bin, tex-kpathsea
Provides:	tex-moreverb = %{tl_version}
Requires:	tex(verbatim.sty)
Provides:	tex(moreverb.sty) = %{tl_version}

%description
A collection of verbatim facilities that provide line-numbered
verbatim, verbatim that obey's TAB characters, verbatim input
and verbatim output to file. The package makes use of the LaTeX
required verbatim package. The package formed from a series of
small pieces, and is somewhat unstructured. The user who looks
for thought-through verbatim facilities is advised to consider
using the fancyvrb package in place of moreverb.

date: 2011-04-18 22:03:09 +0200

%package doc
Summary: Documentation for moreverb
Version: svn22126.2.3a
Provides: tex-moreverb-doc
BuildArch: noarch
AutoReqProv: No

%description doc
Documentation for moreverb

%prep

%build

%install
mkdir -p %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE0} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1} | tar x -C %{buildroot}%{_texdir}/texmf-dist
#xz -dc %{SOURCE2} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# nuke useless tlmgr packaging stuff and doc droppings
rm -rf %{buildroot}%{_texdir}/tlpkg/tlpobj/
rm -rf %{buildroot}%{_texdir}/texmf-dist/tlpkg/tlpobj/
rm -rf %{buildroot}%{_texdir}/texmf/doc/man/man*/*.pdf
rm -rf %{buildroot}%{_texdir}/texmf/doc/man/Makefile
rm -rf %{buildroot}%{_texdir}/texmf/doc/man/man*/Makefile
rm -rf %{buildroot}%{_texdir}/texmf/doc/info/dir
ln -s /usr/share/texlive/licenses/lppl1.txt .

%post
mkdir -p /var/run/texlive
touch /var/run/texlive/run-texhash
touch /var/run/texlive/run-mtxrun
:

%postun
if [ $1 == 1 ]; then
  mkdir -p /var/run/texlive
  touch /var/run/run-texhash
else
  %{_bindir}/texhash 2> /dev/null
fi
:

%posttrans
if [ -e /var/run/texlive/run-texhash ] && [ -e %{_bindir}/texhash ]; then %{_bindir}/texhash 2> /dev/null; rm -f /var/run/texlive/run-texhash; fi
if [ -e /var/run/texlive/run-mtxrun ]; then export TEXMF=/usr/share/texlive/texmf-dist; export TEXMFCNF=/usr/share/texlive/texmf/web2c; export TEXMFCACHE=/var/lib/texmf; %{_bindir}/mtxrun --generate &> /dev/null; rm -f /var/run/texlive/run-mtxrun; fi
:

%files
%defattr(-,root,root)
%doc lppl1.txt
%{_texdir}/texmf-dist/tex/latex/moreverb/moreverb.sty

%files doc
%defattr(-,root,root)
%doc lppl1.txt
%{_texdir}/texmf-dist/doc/latex/moreverb/README
%{_texdir}/texmf-dist/doc/latex/moreverb/moreverb.pdf


%changelog
* Mon Jul 06 2015 Josko Plazonic <plazonic@princeton.edu>
- add moreverb package based on Fedora's old texlive 2012 package
